Get

Get
Get form definition version by id

Get form definition version by id

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/forms/versions/{id}
COPY
Path Parameters
string
id
Required

Form definition version identifier


Authentication
This operation uses the following authentication methods.
Responses
200

'OK' with the specified form definition version.

Returns FormDefinitionVersion of type(s) application/json
{
    "id": "string",
    "createdDate": "string",
    "createdBy": "string",
    "name": "string",
    "description": "string",
    "changeLog": "string",
    "form": {
        "layout": {
            "pages": [
                {
                    "id": "string",
                    "title": "string",
                    "sections": [
                        {
                            "id": "string",
                            "title": "string",
                            "collapsed": false,
                            "fields": [
                                {
                                    "id": "string",
                                    "display": "string",
                                    "nestedFields": [
                                        {
                                            "id": "string",
                                            "display": "string",
                                            "styles": "string",
                                            "state": {
                                                "readonlyState": {
                                                    "read-only": {}
                                                },
                                                "visibilityState": {
                                                    "visible": {}
                                                },
                                                "states": {
                                                    "states": {}
                                                }
                                            },
                                            "size": 0,
                                            "submit": false,
                                            "signpostPosition": "string"
                                        }
                                    ],
                                    "styles": "string",
                                    "state": {
                                        "readonlyState": {
                                            "read-only": {}
                                        },
                                        "visibilityState": {
                                            "visible": {}
                                        },
                                        "states": {
                                            "states": {}
                                        }
                                    },
                                    "size": 0,
                                    "submit": false,
                                    "signpostPosition": "string"
                                }
                            ],
                            "state": {
                                "readonlyState": {
                                    "read-only": {}
                                },
                                "visibilityState": {
                                    "visible": {}
                                },
                                "states": {
                                    "states": {}
                                }
                            },
                            "isExpandable": false,
                            "isVertical": false
                        }
                    ],
                    "state": {
                        "readonlyState": {
                            "read-only": {}
                        },
                        "visibilityState": {
                            "visible": {}
                        },
                        "states": {
                            "states": {}
                        }
                    }
                }
            ]
        },
        "schema": {
            "fields": {
                "fields": {
                    "label": "string",
                    "description": "string",
                    "signpost": "string",
                    "type": {
                        "dataType": "string",
                        "referenceType": "string",
                        "fields": [
                            {
                                "label": "string",
                                "description": "string",
                                "signpost": "string",
                                "type": "FormSchemaFieldType Object",
                                "step": "number",
                                "default": {},
                                "valueList": {},
                                "placeholder": "string",
                                "constraints": {
                                    "matchConstraint": {
                                        "match": {}
                                    },
                                    "constraints": {
                                        "constraints": {}
                                    }
                                },
                                "refresh": {
                                    "type": "string"
                                },
                                "shortValueName": [
                                    "string"
                                ],
                                "id": "string",
                                "valueTree": {}
                            }
                        ],
                        "isMultiple": false
                    },
                    "step": "number",
                    "default": {},
                    "valueList": {},
                    "placeholder": "string",
                    "constraints": {
                        "matchConstraint": {
                            "match": {}
                        },
                        "constraints": {
                            "constraints": {}
                        }
                    },
                    "refresh": {
                        "type": "string"
                    },
                    "shortValueName": [
                        "string"
                    ],
                    "valueTree": {}
                }
            }
        },
        "messages": [
            {
                "fieldId": "string",
                "severity": "string",
                "validationType": "string",
                "message": "string"
            }
        ],
        "options": {
            "externalValidations": [
                {
                    "label": "string",
                    "source": {
                        "id": "string",
                        "type": "string",
                        "parameters": [
                            {
                                "$type": {
                                    "dataType": "string",
                                    "referenceType": "string",
                                    "fields": [
                                        "ComplexTypeField Object"
                                    ],
                                    "isMultiple": false
                                },
                                "parameterMap": {
                                    "parameterMap": {}
                                }
                            }
                        ],
                        "isPageable": false,
                        "externalSourceProviderType": "string"
                    },
                    "target": [
                        "string"
                    ]
                }
            ]
        }
    },
    "styles": "string"
}
string As uuid As uuid
id
Optional

id

string As date-time As date-time
createdDate
Optional

createdDate

string
createdBy
Optional

createdBy

string
name
Optional

name

string
description
Optional

description

string
changeLog
Optional

changeLog

object
form
Optional

form

string
styles
Optional

styles


404

'Not Found' if there is no such version with the provided id in the current org.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/forms/versions/{id}